CamelMimeFilterBasic
3
CAMEL Library

# CamelMimeFilterBasic

## Synopsis

    struct              CamelMimeFilterBasic;
    enum                CamelMimeFilterBasicType;
    CamelMimeFilterBasic* camel_mime_filter_basic_new       (void);
    CamelMimeFilterBasic* camel_mime_filter_basic_new_type  (CamelMimeFilterBasicType type);

## Description

## Details

### struct CamelMimeFilterBasic

    struct CamelMimeFilterBasic {
    	CamelMimeFilter parent;

    	struct _CamelMimeFilterBasicPrivate *priv;

    	CamelMimeFilterBasicType type;

    	unsigned char uubuf[60];
    	int state;
    	int save;
    };

### enum CamelMimeFilterBasicType

    typedef enum {
    	CAMEL_MIME_FILTER_BASIC_BASE64_ENC = 1,
    	CAMEL_MIME_FILTER_BASIC_BASE64_DEC,
    	CAMEL_MIME_FILTER_BASIC_QP_ENC,
    	CAMEL_MIME_FILTER_BASIC_QP_DEC,
    	CAMEL_MIME_FILTER_BASIC_UU_ENC,
    	CAMEL_MIME_FILTER_BASIC_UU_DEC
    } CamelMimeFilterBasicType;

### camel_mime_filter_basic_new ()

    CamelMimeFilterBasic* camel_mime_filter_basic_new       (void);

Create a new CamelMimeFilterBasic object.

Returns :

  a new CamelMimeFilterBasic object

### camel_mime_filter_basic_new_type ()

    CamelMimeFilterBasic* camel_mime_filter_basic_new_type  (CamelMimeFilterBasicType type);

Create a new CamelMimeFilterBasic object of type `type`.

`type` :

  a CamelMimeFilterBasicType type

Returns :

  a new CamelMimeFilterBasic object